Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Aaron Jensen <[email-masked]>
Date: Sat, 1 Feb 2020 08:29:10 -0800

On Sat, Feb 1, 2020 at 6:22 AM Alan Third <[email-masked]> wrote:
>
> I’m now stumped because I can’t actually find any image type in the
> documentation that isn’t immutable. I’m sure there must be something.
> The Mac port appears to be using IOSurfaces, but as far as I can tell
> they can be changed underneath you so aren’t much use for just
> updating little bits of the Emacs frame at a time. I must be
> misunderstanding something.

I know nothing, but have you looked into
https://developer.apple.com/library/archive/documentation/GraphicsImaging/Conceptual/drawingwithquartz2d/dq_layers/dq_layers.html
?

Aaron